package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

public class GetAutoPhrasesRequest extends InteractionRequest {
	private static final Logger LOG = Logger.getLogger(GetAutoPhrasesRequest.class);

    public GetAutoPhrasesRequest(String interactionID) {
        super(LOG, interactionID);
    }

    /**
     * The call method executes on the outgoingRequest thread
     *
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        getInteraction().requestAutoPhrases();     
        LOG.trace(methodName + "-");
        return null;
    }
}